Closed Bug 1192744 Opened 5 years ago Closed 4 years ago

[Message]Set device time format to '24-hour', but the time format in message report screen still shows as '12-hour' format.

Categories

(Firefox OS Graveyard :: Gaia::SMS, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(blocking-b2g:2.5+, b2g-v2.2 unaffected, b2g-master verified)

VERIFIED FIXED
blocking-b2g 2.5+
Tracking Status
b2g-v2.2 --- unaffected
b2g-master --- verified

People

(Reporter: yue.xia, Assigned: zbraniecki)

Details

(Keywords: regression, Whiteboard: [2.5-aries-test-run-1])

Attachments

(4 files)

Attached video Aries_KK_2.5_video1.3gp
[1.Description]:
[Aries KK 2.5][Flame KK 2.5][Message]Set device time format to '24-hour', launch message to check the time format in every screen, but the time format in message report screen still show as '12-hour' format.
See attachment: Aries_KK_2.5_video1.3gp & logcat_Aries_KK_2.5.txt
Found time: 11:36

[2.Testing Steps]: 
Precondition:. Have some incoming and outgoing messages(SMS & MMS) in Messages app. 
1. Launch 'Settings' app -> 'Date & Time' -> 'Time Format', change to '24-hour'.
2. Launch Messages app
3. Open a message thread. 
4. Long tap a message and select 'View message report'.

[3.Expected Result]: 
4. The time format in message report screen could show as '24-hour' format.

[4.Actual Result]: 
4. But the time format in message report screen still shows as '12-hour' format.

[5.Reproduction build]: 
Device: Aries KK 2.5(Affected)
Build ID               20150806203229
Gaia Revision          7f387f859d48f9ad0761637c78447dc524747738
Gaia Date              2015-08-06 15:21:13
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/03e3d77d1b6b
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150806.195600
Firmware Date          Thu Aug  6 19:56:08 UTC 2015
Bootloader             s1

Device: Flame KK 2.2(Unaffected)
Flame KK 2.2
Build ID               20150809032505
Gaia Revision          102f1299e9eafe3760e1deb44d556b5c4f36b5af
Gaia Date              2015-08-06 20:46:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/da29b5af4232
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150809.065320
Firmware Date          Sun Aug  9 06:53:31 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:  Flame KK 2.5 (Affected)
Build ID               20150809150206
Gaia Revision          3e5271663e7ef26290c29a45d2e42c0d3c20fe04
Gaia Date              2015-08-08 21:13:59
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/fd69d51a4068
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150809.182413
Firmware Date          Sun Aug  9 18:24:24 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
14359
Keywords: regression
[Blocking Requested - why for this release]: Functional regression.
blocking-b2g: --- → 2.5?
Hey gandalf, I think this is coming from the patch to move to Intl.
Do you think you can take this? Or at least give pointers?
Flags: needinfo?(gandalf)
blocking-b2g: 2.5? → 2.5+
Comment on attachment 8652633 [details] [review]
[gaia] zbraniecki:1192744-use-hour12-in-message-report > mozilla-b2g:master

Yeah, we just need to use mozHour12 when formatting this.
Flags: needinfo?(gandalf)
Attachment #8652633 - Flags: review?(felash)
Assignee: nobody → gandalf
Comment on attachment 8652633 [details] [review]
[gaia] zbraniecki:1192744-use-hour12-in-message-report > mozilla-b2g:master

Hey Zibi,

Thanks a lot for this patch.

However this change doesn't work in all situations, especially this STR doesn't work:

1. open the SMS app.
2. open the Settings app, go to Date and time panel, and change the Time format
3. return to the SMS app, go to a conversation, long press a message and display the report
=> the format is wrong

More information on Github :)

Please request review again once you're ready !
Attachment #8652633 - Flags: review?(felash)
Comment on attachment 8652633 [details] [review]
[gaia] zbraniecki:1192744-use-hour12-in-message-report > mozilla-b2g:master

Good recommendation :) I'll make sure to be suspicious next time I see tests green too soon ;)
Attachment #8652633 - Flags: review?(felash)
Comment on attachment 8652633 [details] [review]
[gaia] zbraniecki:1192744-use-hour12-in-message-report > mozilla-b2g:master

as perfect as it can be !
r=me

Thanks again for this fix !
Attachment #8652633 - Flags: review?(felash) → review+
Commit: https://github.com/mozilla-b2g/gaia/commit/4f4498e1a73f83598b1fe57952e2276f38281887
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
This problem is verified as "pass" on latest build of Aries KK v2.5 and Flame KK v2.5 by the STR in comment 0.
Actual result: Set device time format to '24-hour', the time format in message report screen will be shown as '24-hour' format.
See attachment: Verify_Pass_AriesKK2.5.3gp
Rate: 0/5

Device information:
Aries KK v2.5: (Pass)
Build ID               20150901190039
Gaia Revision          c2582f4be03cd12124b96a263c8d14c774f0ffe4
Gaia Date              2015-09-01 17:03:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e47423c019643792e6de894cfcee598dead4d3ba
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150901.182105
Firmware Date          Tue Sep  1 18:21:13 UTC 2015
Bootloader             s1

Flame KK v2.5: (Pass)
Build ID               20150901150204
Gaia Revision          c2582f4be03cd12124b96a263c8d14c774f0ffe4
Gaia Date              2015-09-01 17:03:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e47423c019643792e6de894cfcee598dead4d3ba
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150901.182949
Firmware Date          Tue Sep  1 18:30:04 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.